> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all stablecoins

> Retrieves total circulating supply for supported stablecoins across all chains. This endpoint is rate limited to one call per minute (based on IP).



## OpenAPI

````yaml openapi/general.yaml get /v1/stablecoins
openapi: 3.0.2
info:
  version: ${version}
  title: API Overview
  description: Common endpoints shared across all Circle APIs.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Health
    description: Inspect the health of the API.
  - name: Management
    description: General account and management information.
  - name: Subscriptions
    description: Manage subscriptions to notifications.
  - name: Stablecoins
    description: >-
      Retrieve stablecoins and their respective names, symbols, circulating
      total and per-chain amounts.
paths:
  /v1/stablecoins:
    get:
      tags:
        - Stablecoins
      summary: List all stablecoins
      description: >-
        Retrieves total circulating supply for supported stablecoins across all
        chains. This endpoint is rate limited to one call per minute (based on
        IP).
      operationId: listStablecoins
      responses:
        '200':
          description: Successfully retrieved all stablecoin supplies across all chains.
          content:
            application/json:
              schema:
                title: ListStablecoinsResponse
                properties:
                  data:
                    $ref: '#/components/schemas/Stablecoins'
              examples:
                response:
                  value:
                    data:
                      - name: USD Coin
                        symbol: USDC
                        totalAmount: '132.584192'
                        chains:
                          - amount: '132.584192'
                            chain: ALGO
        '429':
          $ref: '#/components/responses/LimitExceeded'
components:
  schemas:
    Stablecoins:
      type: array
      description: >-
        A list of stablecoin objects containing its name, symbol, total amount,
        and per-chain amount.
      items:
        $ref: '#/components/schemas/Stablecoin'
    Stablecoin:
      type: object
      properties:
        name:
          type: string
          description: Name of the stablecoin.
          example: USD Coin
        symbol:
          type: string
          description: Symbol of the stablecoin.
          example: USDC
        totalAmount:
          type: string
          description: Total circulating amount of the stablecoin.
          example: '132.584192'
        chains:
          type: array
          description: A list of the broken down totalAmount by chain of the stablecoin.
          items:
            $ref: '#/components/schemas/TokenAmount'
    TokenAmount:
      type: object
      required:
        - amount
        - chain
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '132.584192'
        chain:
          $ref: '#/components/schemas/Chain'
    Chain:
      type: string
      description: >
        A blockchain that a given currency is available on.


        **Note:** Arc (`ARC`) is only available in the sandbox environment
        (`api-sandbox.circle.com`).
      enum:
        - ALGO
        - APTOS
        - ARB
        - ARC
        - AVAX
        - BASE
        - BTC
        - CELO
        - CODEX
        - ETH
        - HBAR
        - HYPEREVM
        - INK
        - LINEA
        - NEAR
        - NOBLE
        - OP
        - PLUME
        - PAH
        - POLY
        - SEI
        - SOL
        - SONIC
        - SUI
        - UNI
        - WORLDCHAIN
        - XDC
        - XLM
        - XRP
        - ZKS
        - ZKSYNC
  responses:
    LimitExceeded:
      description: Limit exceeded. See error message for more details.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: LimitExceeded
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 429
              message: Too many requests.
          examples:
            response:
              value:
                code: 429
                message: Too many requests.
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde

````